package gilo

import (
	"testing"
)

func TestTruncateString(t *testing.T) {
	firstString := "abcdefghijklmnopqrstuvwxyz"
	truncated := Truncate(firstString, 13)

	got := len(truncated)
	want := 13

	if got != want {
		t.Errorf("Truncated length: %q, expected length: %q", got, want)
	}
}

func TestTruncateStringNegative(t *testing.T) {
	got := Truncate("fdlkjf", -5)
	want := ""

	if got != want {
		t.Errorf("Truncated value: %q, expected value: %q", got, want)
	}
}

func TestTruncateShorterString(t *testing.T) {
	str := "abcdefg"

	got := Truncate(str, 13)
	want := str

	if got != want {
		t.Errorf("Truncated value: %q, expected value: %q", got, want)
	}
}
